当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : pythonocc例子12-移动形体
帖子发表于 : 2010-07-16 12:15 

注册: 2010-01-30 18:38
帖子: 333
送出感谢: 0 次
接收感谢: 0 次
先生成my_cube, 然后移动到指定点.

可以和前面例子剪切的图比较.

代码:
from OCC.Display.SimpleGui import *
from OCC.BRepPrimAPI import *
from OCC.BRepAlgoAPI import *
from OCC.BRepBuilderAPI import *
from OCC.gp import *
display, start_display, add_menu, add_function_to_menu = init_display()
my_box = BRepPrimAPI_MakeBox(10.,20.,30.).Shape()

my_cube = BRepPrimAPI_MakeBox(5.,10.,10.).Shape()
# Define transformation
theTransformation = gp_Trsf()
from_pnt = gp_Pnt(0.,0.,0.)
to_pnt= gp_Pnt(5.,10.,15.)
theTransformation.SetTranslation(from_pnt,to_pnt);
# Apply transformation
myBRepTransformation = BRepBuilderAPI_Transform(my_cube,theTransformation)
my_cube_moved = myBRepTransformation.Shape()

aShape = BRepAlgoAPI_Cut(my_box,my_cube_moved).Shape()
display.DisplayShape(aShape)
start_display()


附件:
move.JPG
move.JPG [ 24.68 KiB | 被浏览 364 次 ]



_________________
免费NanoCAD=免费DraftSight+可API编程(用.net或者vbs和java脚本)=白白 AutoCAD
http://nanocad.com/
页首
 用户资料  
 
2 楼 
 文章标题 : Re: pythonocc例子12-移动形体
帖子发表于 : 2010-07-16 18:49 
头像

注册: 2009-06-01 10:48
帖子: 575
地址: 杭州
送出感谢: 2
接收感谢: 2
好神奇啊,学习了! :em11


_________________
Linux/Unix命令行手册:Unix Toolbox
一位坛友推荐的学习Linux/Unix的好书:传送门
A life without passion resembles the shadow from a grave.


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译